import { Analyzer, AtlasParams, AtlasSearchIndex, CreateSearchIndex } from './interface/atlas';
export default class AtlasApi {
    private params;
    private readonly ftsUrl;
    private readonly defaultOptions;
    constructor(params: AtlasParams);
    putCustomAnalyzers(analyzers: Analyzer[]): Promise<Analyzer[]>;
    getSearchIndexes(db: string, collection: string): Promise<AtlasSearchIndex[]>;
    createSearchIndex(db: string, collection: string, index: CreateSearchIndex): Promise<any>;
    ensureSearchIndexes(db: string, collection: string, createParams: CreateSearchIndex[]): Promise<AtlasSearchIndex[]>;
    updateSearchIndex(db: string, collection: string, existingIndex: AtlasSearchIndex, createParams: CreateSearchIndex): Promise<any>;
    deleteSearchIndex(db: string, collection: string, existingIndex: AtlasSearchIndex): Promise<any>;
    private logIndexChange;
}
