/**
 * Very basic model used to hold information on a mongo index.
 */
export default class MongoIndex {
    readonly options: any;
    readonly index: any;
    readonly name: string;
    /**
     * @param index - the index definition as you would give on the mongo shell
     * @param options IndexOptions - options for the index these match the options defined here:
     *                       https://mongodb.github.io/node-mongodb-native/api-generated/collection.html#ensureindex
     */
    constructor(index: {
        [key: string]: 1 | -1 | 'text';
    }, options?: any, validateName?: boolean);
    toString(): string;
}
