import { Newable } from './interface';
/**
 * Used to generate typescript interfaces from nongo schema and write them to a file.
 *
 * @author Stuart
 */
export default class TsInterfaceGenerator {
    /**
     * @param {Newable} ModelClass - the constructor for the model you want to generate an interface for
     * @param file
     * @returns {string}
     */
    generateInterface(ModelClass: Newable, file: any): void;
    /**
     * Convert the schema into an interface
     *
     * @param schema - the nongo schema
     * @param {number} depth - recursion depth used to indent the code generated
     * @returns {string}
     */
    private toInterface;
}
