export enum FieldTypes {
  NUMBER = 'number',
  STRING = 'string',
  DATE = 'date',
  DOCUMENT = 'document',
  OBJECT_ID = 'objectId',
  BOOLEAN = 'boolean',
  AUTOCOMPLETE = 'autocomplete',
  GEO = 'geo',
}

export interface StringField {
  type: FieldTypes.STRING;
  analyzer?: string;
  searchAnalyzer?: string;
}

export interface DocumentField {
  type: FieldTypes.DOCUMENT;
  dynamic: boolean;
  fields?: Record<string, Field>;
}

export interface NumberField {
  type: FieldTypes.NUMBER;
  representation?: string;
  indexIntegers?: boolean;
  indexDoubles?: boolean;
}

export type Field = StringField | DocumentField | NumberField;
