import {Field} from './field';

export * from './field';

export interface Mappings {
  dynamic: boolean;
  fields?: Record<string, Field>;
}

export interface AtlasSearchIndex {
  collectionName: string;
  database: string;
  indexID: string;
  mappings: Mappings;
  name: string;
  status: string;
}

export interface Analyzer {
  name: string;
  baseAnalyzer: string;
  stopwords?: string[];
  ignoreCase?: boolean;
  stemExclusionSet?: string[];
  maxTokenLength?: number;
}

export interface CreateSearchIndex {
  name: string;
  mappings: Mappings;
}

export interface AtlasParams {
  baseUrl: string;
  groupId: string;
  clusterName: string;
  publicKey: string;
  privateKey: string;
  disabled?: boolean;
  analyzers?: Analyzer[];
}
