import { Model } from ".";

export default abstract class RevisionModel<T = any> extends Model<T> {
  public defineSchema(): any {
    return {
      revision: {
        type: "string",
      },
      history: {
        type: [{
          id: {type: "string"},
          revision: {type: "string"},
          created: {type: "date"},
        }]
      }
    };
  }

  public schemaVersioningEnabled(): boolean {
    return true;
  }
}